VideosOpenAI Compatible
OpenAI 兼容视频生成
通过 OpenAI 兼容的 /v1/videos 接口创建视频生成任务,适用于 PixVerse、Veo、Seedance 等兼容提供商。
Grok 视频生成也使用该接口,模型可选 grok-imagine-video 或 grok-imagine-video-1.5-preview。Grok 请求使用 application/json,可通过 reference_images 传参考图片 URL,并通过 video.url 传参考视频 URL。
Authorization
bearerAuth AuthorizationBearer <token>
使用 Authorization Bearer API Key 进行鉴权。
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/videos" \ -H "Content-Type: application/json" \ -d '{ "model": "doubao-seedance-2-0-260128", "prompt": "让视频中的人物变成卡通风格", "duration": 5, "size": "480p", "metadata": { "ratio": "16:9", "video_url": "https://example.com/reference-video.mp4", "generate_audio": true, "watermark": false } }'{
"id": "task_123456",
"task_id": "task_123456",
"object": "video.generation",
"status": "succeeded",
"model": "string",
"created_at": 0,
"updated_at": 0,
"completed_at": 0,
"expires_at": 0,
"seconds": "string",
"size": "string",
"progress": 0,
"url": "http://example.com",
"video_url": "http://example.com",
"content_url": "http://example.com",
"remixed_from_video_id": "string",
"output": [
{}
],
"error": {}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}